curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/0-3 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"associations": [
{
"to": {
"id": "<string>"
},
"types": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123
}
]
}
],
"properties": {}
}
'{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}Créez une transaction avec les propriétés données et renvoyez une copie de l’objet, y compris l’ID. La documentation et des exemples pour la création de transactions standard sont fournis.
curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/0-3 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"associations": [
{
"to": {
"id": "<string>"
},
"types": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123
}
]
}
],
"properties": {}
}
'{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}Produits pris en charge
Portées requises
The access token received from the authorization server in the OAuth 2.0 flow.
Is the input object used to create a new CRM object, containing the properties to be set and optional associations to link the new record with other CRM objects.
successful operation
A simple public object.
Si l'objet est archivé.
L'horodatage du moment où l'objet a été créé, au format ISO 8601.
L'ID unique de l'objet.
Paires clé-valeur représentant les propriétés de l'objet.
Afficher attributs enfants
L'horodatage du moment où l'objet a été mis à jour pour la dernière fois, au format ISO 8601.
L'horodatage du moment où l'objet a été archivé, au format ISO 8601.
Un identifiant permettant de suivre la demande de création ou de mise à jour de l'objet.
Paires clé-valeur représentant les propriétés de l'objet avec leur historique.
Afficher attributs enfants
The URL associated with the object.